| Home | Libraries | People | FAQ | More

## Function is_upper

boost::algorithm::is_upper — is_upper predicate

## Synopsis

    // In header: <boost/algorithm/string/classification.hpp>

    unspecified is_upper(const std::locale & Loc = std::locale());

## Description

Construct the `is_classified` predicate for the `ctype_base::upper` category.

Parameters: |
`Loc` | A locale used for classification
Returns: | An instance of the `is_classified` predicate